Main Page glibmm Namespaces Book

# regex.h File Reference

## Namespaces
namespace | Glib
## Classes
class | Glib::RegexError
| Exception class for Regex. More...
class | Glib::Regex
| Perl-compatible regular expressions - matches strings against regular expressions. More...
## Enumerations
enum | Glib::RegexCompileFlags { Glib::REGEX_CASELESS = 1 << 0, Glib::REGEX_MULTILINE = 1 << 1, Glib::REGEX_DOTALL = 1 << 2, Glib::REGEX_EXTENDED = 1 << 3, Glib::REGEX_ANCHORED = 1 << 4, Glib::REGEX_DOLLAR_ENDONLY = 1 << 5, Glib::REGEX_UNGREEDY = 1 << 9, Glib::REGEX_RAW = 1 << 11, Glib::REGEX_NO_AUTO_CAPTURE = 1 << 12, Glib::REGEX_OPTIMIZE = 1 << 13, Glib::REGEX_DUPNAMES = 1 << 19, Glib::REGEX_NEWLINE_CR = 1 << 20, Glib::REGEX_NEWLINE_LF = 1 << 21, Glib::REGEX_NEWLINE_CRLF = 0x100000 }
enum | Glib::RegexMatchFlags { Glib::REGEX_MATCH_ANCHORED = 1 << 4, Glib::REGEX_MATCH_NOTBOL = 1 << 7, Glib::REGEX_MATCH_NOTEOL = 1 << 8, Glib::REGEX_MATCH_NOTEMPTY = 1 << 10, Glib::REGEX_MATCH_PARTIAL = 1 << 15, Glib::REGEX_MATCH_NEWLINE_CR = 1 << 20, Glib::REGEX_MATCH_NEWLINE_LF = 1 << 21, Glib::REGEX_MATCH_NEWLINE_CRLF = 0x100000, Glib::REGEX_MATCH_NEWLINE_ANY = 1 << 22 }
## Functions
RegexCompileFlags | Glib::operator| (RegexCompileFlags lhs, RegexCompileFlags rhs)
RegexCompileFlags | Glib::operator& (RegexCompileFlags lhs, RegexCompileFlags rhs)
RegexCompileFlags | Glib::operator^ (RegexCompileFlags lhs, RegexCompileFlags rhs)
RegexCompileFlags | Glib::operator~ (RegexCompileFlags flags)
RegexCompileFlags& | Glib::operator|= (RegexCompileFlags& lhs, RegexCompileFlags rhs)
RegexCompileFlags& | Glib::operator&= (RegexCompileFlags& lhs, RegexCompileFlags rhs)
RegexCompileFlags& | Glib::operator^= (RegexCompileFlags& lhs, RegexCompileFlags rhs)
RegexMatchFlags | Glib::operator| (RegexMatchFlags lhs, RegexMatchFlags rhs)
RegexMatchFlags | Glib::operator& (RegexMatchFlags lhs, RegexMatchFlags rhs)
RegexMatchFlags | Glib::operator^ (RegexMatchFlags lhs, RegexMatchFlags rhs)
RegexMatchFlags | Glib::operator~ (RegexMatchFlags flags)
RegexMatchFlags& | Glib::operator|= (RegexMatchFlags& lhs, RegexMatchFlags rhs)
RegexMatchFlags& | Glib::operator&= (RegexMatchFlags& lhs, RegexMatchFlags rhs)
RegexMatchFlags& | Glib::operator^= (RegexMatchFlags& lhs, RegexMatchFlags rhs)